Page MenuHome

Blender 3.0 cannot import FBX (containing more than 8 UV layers)
Closed, ResolvedPublic

Description

System Information
Operating system: Windows-10-10.0.19041-SP0 64 Bits
Graphics card: GeForce GTX 970/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 460.79

Blender Version
Broken: version: 3.0.0 Release Candidate, branch: master, commit date: 2021-11-30 10:50, hash: rB4b971bb87c03
Worked: 2.93.0 - 2.93.7

Caused by rB04b4ec78898b: Fix T92318: adding layers (UVs, ...) doesn't notify about limit

Short description of error
Blender 3.0 cannot import some Mixamo animations. But Blender 2.93 does it right.
Apparently the issue is related to the amount of UV maps.

Exact steps for others to reproduce the error
Just try to import the fbx I attached (excuse me for the file size)

Event Timeline

Pratik Borhade (PratikPB2123) changed the task status from Needs Triage to Confirmed.Dec 1 2021, 7:09 PM
Pratik Borhade (PratikPB2123) updated the task description. (Show Details)

Technically the older versions are also broken a bit. The model contains 9 UV maps which exceeds the blender limitation of 8 for a given mesh. With older versions only the first 8 UV maps were imported and the rest were dropped. In new blender versions this situation is now surfaced as an Error.

I'll put together a patch a bit later to get back to the previous behavior at least. The addon didn't change but it looks like blender itself now surfaces the error and the addon was not expecting that. We may want another option to still fail on this type of error but I'll see what comes up during the review.

Awesome! Thanks!
I think the best thing would be to import it anyway and warn that some data was not loaded correctly.

Philipp Oeser (lichtwerk) renamed this task from Blender 3.0 cannot import some Mixamo animations. to Blender 3.0 cannot import FBX (containing more than 8 UV layers).Dec 2 2021, 4:17 PM
Philipp Oeser (lichtwerk) triaged this task as High priority.

Probably also an issue for glTF importer

Would this be merged into 3.0.1 or do we have to wait for 3.1? Thanks!

This change looks like it's been approved and committed but the 3.0.0 stable daily build still doesn't work. I have to install 3.1 alpha.
Which is alpha.
Therefore not stable!!

Is there a reason for this? What is the logic behind producing a stable daily build, which claims to include "cool bug fixes", if it doesn't include bug fixes? Have I missed something?